MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028647Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-11 16:372017-04-18 14:08
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028647: Visualization, OpenGl_AspectMarker - invalid marker size on re-setting aspect without redraw
DescriptionOpenGl_AspectMarker::SetAspect() resets marker size (myMarkerSize), and then myMarkerSize is set to actual image dimensions within OpenGl_AspectMarker::Resources::BuildSprites().

Within the following scenario myMarkerSize is reset to invalid state:
- Draw marker with Aspect1.
- Set marker Aspect2, but do NOT draw it.
- Draw marker with Aspect1 again.

This is because OpenGl_AspectMarker::Resources::BuildSprites() has an optimization to do nothing when actually loaded marker is the same as requested one - including not updating myMarkerSize.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027958verifiedbugmaster Visualization, AIS_Trihedron - add shaded presentation option 
related to 0025288verifiedbugmaster Draw Harness - extend command vaspects to setup marker type 

-  Notes
(0065148)
git (administrator)
2017-04-11 17:54

Branch CR28647 has been created by kgv.

SHA-1: 806f61d9cc79b6861168232c65875d0ab08906b0


Detailed log of new commits:

Author: kgv
Date: Tue Apr 11 17:54:10 2017 +0300

    0028647: Visualization, OpenGl_AspectMarker - invalid marker size on re-setting aspect without redraw
    
    OpenGl_AspectMarker::Resources::BuildSprites(), fixed uninitialized theMarkerSize
    in case if aspect has been already initialized for specified marker type.
    
    Draw Harness command vaspects has been extended
    with new options -setMarkerType and -setMarkerSize.
(0065149)
kgv (developer)
2017-04-11 17:54

Please test the patch.
(0065168)
apv (tester)
2017-04-12 11:13

Dear BugMaster,

Branch CR28647 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 806f61d9cc79b6861168232c65875d0ab08906b0

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1190

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91450193 / 91394327 [+0.06%]
Total CPU difference: 19611.52000000023 / 19613.25000000024 [-0.01%]

Testing on Windows:
Total MEMORY difference: 57855412 / 57855806 [-0.00%]
Total CPU difference: 18314.096197298615 / 18063.40259029849 [+1.39%]

- Related Changesets
occt: master 33cc703b
Timestamp: 2017-04-11 14:54:10
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028647: Visualization, OpenGl_AspectMarker - invalid marker size on re-setting aspect without redraw

OpenGl_AspectMarker::Resources::BuildSprites(), fixed uninitialized theMarkerSize
in case if aspect has been already initialized for specified marker type.

Draw Harness command vaspects has been extended with new options -setMarkerType and -setMarkerSize.
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-11 16:37 kgv New Issue
2017-04-11 16:37 kgv Assigned To => kgv
2017-04-11 17:54 git Note Added: 0065148
2017-04-11 17:54 kgv Note Added: 0065149
2017-04-11 17:54 kgv Assigned To kgv => bugmaster
2017-04-11 17:54 kgv Severity minor => trivial
2017-04-11 17:54 kgv Status new => resolved
2017-04-11 17:55 kgv Status resolved => reviewed
2017-04-11 17:56 kgv Product Version 7.1.0 => 6.7.1
2017-04-11 17:56 kgv Relationship added related to 0027958
2017-04-11 17:56 apv Assigned To bugmaster => apv
2017-04-12 10:20 apv Test case number => Not needed
2017-04-12 11:13 apv Note Added: 0065168
2017-04-12 11:13 apv Assigned To apv => bugmaster
2017-04-12 11:13 apv Status reviewed => tested
2017-04-14 14:28 bugmaster Changeset attached => occt master 33cc703b
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-04-18 14:08 kgv Relationship added related to 0025288


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker